## ros-foxy-quality-of-service-demo-cpp 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(quality_of_service_demo_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)
ament_export_include_directories(include)

function(qos_demo_executable target)
  add_executable(${target}
    src/${target}.cpp
    src/common_nodes.cpp
    src/utils.cpp)
  ament_target_dependencies(${target}
    "rclcpp"
    "rcutils"
    "std_msgs"
  )
  install(TARGETS ${target} DESTINATION lib/${PROJECT_NAME})
endfunction()

qos_demo_executable(liveliness)
qos_demo_executable(lifespan)
qos_demo_executable(deadline)
qos_demo_executable(interactive_publisher)
qos_demo_executable(interactive_subscriber)
qos_demo_executable(incompatible_qos)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-quality-of-service-demo-cpp (0.9.4-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#471 <https://github.com/ros2/demos/issues/471>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.9.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.9.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.9.1-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.9.0-1focal) focal; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jaison Titus

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.8.4-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.8.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 11 Nov 2019 08:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.8.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.8.1-1focal) focal; urgency=high

  * get_actual_qos() now returns a rclcpp::QoS (#395 <https://github.com/ros2/demos/issues/395>)
  * Contributors: William Woodall

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.8.0-1focal) focal; urgency=high

  * Add interactive quality of service demos (#371 <https://github.com/ros2/demos/issues/371>)
  * Contributors: M. M

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.7.6-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 May 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.7.5-1focal) focal; urgency=high

  * Be explicit about reliability in Lifespan demo, to depend less on defaults (#350 <https://github.com/ros2/demos/issues/350>)
  * Contributors: Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-cpp (0.7.4-1focal) focal; urgency=high

  * rclcpp QoS Demos (Liveliness, Lifespan, Deadline) (#320 <https://github.com/ros2/demos/issues/320> and #338 <https://github.com/ros2/demos/issues/338>)
  * Contributors: Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 20 May 2019 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-quality-of-service-demo-cpp
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-example-interfaces, ros-foxy-launch, ros-foxy-launch-testing, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-implementation-cmake, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-quality-of-service-demo-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-example-interfaces, ros-foxy-launch-ros, ros-foxy-rclcpp, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: C++ Demo applications for Quality of Service features

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-quality-of-service-demo-cpp//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
